Get token pairs by address
curl --request GET \
--url https://deep-index.moralis.io/api/v2.2/erc20/{token_address}/pairs \
--header 'X-API-Key: <api-key>'import requests
url = "https://deep-index.moralis.io/api/v2.2/erc20/{token_address}/pairs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://deep-index.moralis.io/api/v2.2/erc20/{token_address}/pairs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cursor": "<string>",
"page_size": "50",
"page": "2",
"pairs": [
{
"exchange_address": "<string>",
"exchange_name": "<string>",
"exchange_logo": "<string>",
"pair_label": "<string>",
"pair_address": "<string>",
"usd_price": 123,
"usd_price_24hr": 123,
"usd_price_24hr_percent_change": 123,
"usd_price_24hr_usd_change": 123,
"liquidity_usd": 123,
"inactive_pair": true,
"base_token": "<string>",
"quote_token": "<string>",
"volume_24h_native": 123,
"volume_24h_usd": 123,
"pair": [
{
"token_address": "<string>",
"token_name": "<string>",
"token_symbol": "<string>",
"token_logo": "<string>",
"token_decimals": "<string>",
"pair_token_type": "<string>",
"liquidity_usd": "<string>"
}
]
}
]
}Swaps & Pairs
Token Pairs
List supported trading pairs for a specific ERC20 token. Each pair returned includes price, liquidity, volume and more.
GET
/
erc20
/
{token_address}
/
pairs
Get token pairs by address
Authorizations
Path Parameters
The address of the token
Example:
"0x6982508145454ce325ddbe47a25d4ec3d2311933"
Query Parameters
The chain to query
Available options:
eth, 0x1, sepolia, 0xaa36a7, polygon, 0x89, bsc, 0x38, bsc testnet, 0x61, avalanche, 0xa86a, cronos, 0x19, arbitrum, 0xa4b1, chiliz, 0x15b38, gnosis, 0x64, base, 0x2105, base sepolia, 0x14a34, optimism, 0xa, polygon amoy, 0x13882, linea, 0xe708, moonbeam, 0x504, moonriver, 0x505, flow, 0x2eb, flow-testnet, 0x221, ronin, 0x7e4, ronin-testnet, 0x31769, lisk, 0x46f, pulse, 0x171, sei-testnet, 0x530, sei, 0x531, monad, 0x8f Example:
"eth"
The number of results to return
Required range:
x >= 0The cursor returned in the previous response (used for getting the next page)

